Bug 837025 - webadmin GUI: multiple presentation issues in the main lists of the different tabs
webadmin GUI: multiple presentation issues in the main lists of the different...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Shahar Havivi
Jiri Belka
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 10:30 EDT by Yaniv Kaul
Modified: 2014-01-01 03:44 EST (History)
10 users (show)

See Also:
Fixed In Version: si22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-07-02 10:30:56 EDT
Description of problem:
1. VMs tab:
- Between the 'Name' and 'Cluster' tab there is a tab with no title. I suspect the icons there differentiate between servers and desktop - of very little, IMHO.
- 'Data Center' is a new item there - but is it really that important to show for VMs? Should probably be pushed further to the right.
- Would be great to move 'Host' and 'IP' next to the name - so it'll resemble the hosts tab more.

2. Hosts tab:
- SPM priority - should be either High/Medium/Low or Custom (X) with a value - or better yet, combined with SPM Status.

3. Clusters:
- Would be useful to add the DC name

4. Disks
- 'ID' is not the most interesting information to be displayed right next to the alias.
- 'Allocation' is format? interface? both?

5. Templates:
- 'Domain' -> 'Storage Domain' ?

6. Pools:
- Do we want to be consistent and display DC and Cluster as well?


Version-Release number of selected component (if applicable):
SI8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Einav Cohen 2012-08-13 05:18:54 EDT
[answers here were coordinated with Miki]

(In reply to comment #0)
> Description of problem:
> 1. VMs tab:
> - Between the 'Name' and 'Cluster' tab there is a tab with no title. I
> suspect the icons there differentiate between servers and desktop - of very
> little, IMHO.

nothing much to do with it, really. ideas are welcome.
icon should probably be moved next to status icon, between status icon and name.

> - 'Data Center' is a new item there - but is it really that important to
> show for VMs? Should probably be pushed further to the right.

let's wait for customer feedback - I think it is quite important.

> - Would be great to move 'Host' and 'IP' next to the name - so it'll
> resemble the hosts tab more.
> 

+1

> 2. Hosts tab:
> - SPM priority - should be either High/Medium/Low or Custom (X) with a value
> - or better yet, combined with SPM Status.

in progress as part of a separate bug: Bug 845320

> 
> 3. Clusters:
> - Would be useful to add the DC name
> 

+1
requires backend change (need to add DC name to business entity) - a separate "infra" BZ should be opened on this.
Alternatively, can be added to general sub-tab although the entire sub-tab should probably be redesigned.

> 4. Disks
> - 'ID' is not the most interesting information to be displayed right next to
> the alias.

it is the most important thing to display right after alias, as defined from the storage-features meeting we had a while ago

> - 'Allocation' is format? interface? both?

'Allocation' is what is called 'Format' in the New Disk dialog and as 'Allocation' in the "Resource Allocation" section in the New VM dialog.
I agree that terminology should be unified to "format".

> 
> 5. Templates:
> - 'Domain' -> 'Storage Domain' ?

No - directory services domain. 
Column should be removed and information should be displayed in general sub-tab instead (just like VMs).

> 
> 6. Pools:
> - Do we want to be consistent and display DC and Cluster as well?

+1
Again - requires backend change; suggest to open a separate "virt" BZ on this, although can simply be added to the pools redesign RFE as well.

> 
> 
> Version-Release number of selected component (if applicable):
> SI8
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
>   
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:
Comment 3 Shahar Havivi 2012-09-24 11:23:52 EDT
regarding #3 and #6, it require a change in the search adding a new view (now we are using the vds_groups table as the view for search) and change in the business entity.
its look like an RFE
Comment 4 Einav Cohen 2012-09-26 15:48:11 EDT
summary:

The following items should be solved in the context of this BZ:

a) [original item: 1] VMs main tab: Desktop/Server/Pool icon-column should move from its current location to be between the status-icon column and the Name column

b) [original item: 4 (second part)] 'Allocation' / 'Format' - terminology needs to be unified: In New VM dialog, 'Resource Allocation' section, 'Allocation' needs to be changed to 'Format'.

c) [original item: 5] Templates main tab: 'Domain' column should be removed; 'Storage Domain' label should be added to the General sub-tab (just like it is in the General sub-tab of the VMs main tab).

----

original items:

1) 'a' in this BZ
2) solved in the context of Bug 845320
3) already documented in Bug 620144
4) part 1: irrelevant for now.  part 2: 'b' in this BZ.
5) 'c' in this BZ
6) Added comment in relevant BZ (Bug 569322 comment #6)
Comment 6 Einav Cohen 2012-10-02 10:08:00 EDT
(In reply to comment #4)
>
> ...
> 
> c) [original item: 5] Templates main tab: 'Domain' column should be removed;
> 'Storage Domain' label should be added to the General sub-tab (just like it
> is in the General sub-tab of the VMs main tab).
>  
> ...
> 

correction: 'Directory Domain' (instead of 'Storage Domain')
Comment 7 Ayal Baron 2012-10-09 03:18:26 EDT
(In reply to comment #4)
> summary:
> 
> The following items should be solved in the context of this BZ:
> 
> a) [original item: 1] VMs main tab: Desktop/Server/Pool icon-column should
> move from its current location to be between the status-icon column and the
> Name column
> 
> b) [original item: 4 (second part)] 'Allocation' / 'Format' - terminology
> needs to be unified: In New VM dialog, 'Resource Allocation' section,
> 'Allocation' needs to be changed to 'Format'.

Allocation is *not* 'Format'.
Format is raw/qcow2/etc and should not be confused with this.

It's about space allocation policy.
I don't have a better name for it.  Andy?

> 
> c) [original item: 5] Templates main tab: 'Domain' column should be removed;
> 'Storage Domain' label should be added to the General sub-tab (just like it
> is in the General sub-tab of the VMs main tab).
> 
> ----
> 
> original items:
> 
> 1) 'a' in this BZ
> 2) solved in the context of Bug 845320
> 3) already documented in Bug 620144
> 4) part 1: irrelevant for now.  part 2: 'b' in this BZ.
> 5) 'c' in this BZ
> 6) Added comment in relevant BZ (Bug 569322 comment #6)
Comment 8 Andrew Cathrow 2012-10-14 09:02:43 EDT
(In reply to comment #7)
> (In reply to comment #4)
> > summary:
> > 
> > The following items should be solved in the context of this BZ:
> > 
> > a) [original item: 1] VMs main tab: Desktop/Server/Pool icon-column should
> > move from its current location to be between the status-icon column and the
> > Name column
> > 
> > b) [original item: 4 (second part)] 'Allocation' / 'Format' - terminology
> > needs to be unified: In New VM dialog, 'Resource Allocation' section,
> > 'Allocation' needs to be changed to 'Format'.
> 
> Allocation is *not* 'Format'.
> Format is raw/qcow2/etc and should not be confused with this.
> 
> It's about space allocation policy.
> I don't have a better name for it.  Andy?

Just "Allocation policy"


> 
> > 
> > c) [original item: 5] Templates main tab: 'Domain' column should be removed;
> > 'Storage Domain' label should be added to the General sub-tab (just like it
> > is in the General sub-tab of the VMs main tab).
> > 
> > ----
> > 
> > original items:
> > 
> > 1) 'a' in this BZ
> > 2) solved in the context of Bug 845320
> > 3) already documented in Bug 620144
> > 4) part 1: irrelevant for now.  part 2: 'b' in this BZ.
> > 5) 'c' in this BZ
> > 6) Added comment in relevant BZ (Bug 569322 comment #6)
Comment 15 Einav Cohen 2012-11-13 09:57:25 EST
updated summary:

The following items should be solved in the context of this BZ:

a) VMs main tab: Desktop/Server/Pool icon-column should move from its current location to be between the status-icon column and the "Name" column

b) 'Allocation' / 'Format' - terminology needs to be unified to "Allocation policy" (look in: New Disk dialog, New VM dialog -> Resource Allocation section)

c) Templates main tab: 'Domain' column should be removed; 'Directory Domain' label should be added to the General sub-tab (just like it is in the General sub-tab of the VMs main tab) - for Windows Templates only!
Comment 16 Daniel Paikov 2012-11-27 08:04:37 EST
Checked on si24.4

Note You need to log in before you can comment on or make changes to this bug.